#
# spec file for package minetest-mod-farming-plus
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           minetest-mod-farming-plus
Version:        0_20140731
Release:        1.1
Summary:        Extended farming mod for Minetest
License:        WTFPL
Group:          Amusements/Games/3D/Simulation
Url:            https://github.com/PilzAdam/farming_plus
Source:         farming_plus-master.zip
Requires:       minetest >= 0.4.14
BuildRequires:  unzip
BuildRequires:  fdupes
BuildRequires:  dos2unix
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This mods extents the default farming. This mod is useful when you use the food mod by rubenwardy.

Unfortunately there is currently no way to get the seeds of the new plants (due to the merge of farming to upstream). I need to think of a way to get them.

%prep
%setup -q -n farming_plus-master
# Remove scripts
find . -name "*.sh" -type f -delete
# Dos to Unix
find . -name "*.x" -type f | xargs dos2unix
# Zero length file filling
echo "" > good_empty_file
find . -size 0 -type f | xargs -i cp good_empty_file {}
rm good_empty_file

%build
# Nothing to do

%install
install -dm 0755 %{buildroot}/%{_datadir}/minetest
install -dm 0755 %{buildroot}/%{_datadir}/minetest/mods
install -dm 0755 %{buildroot}/%{_datadir}/minetest/mods/farming_plus
cp -R * %{buildroot}/%{_datadir}/minetest/mods/farming_plus/
chmod -R u-x+rwX,go-wx+rX %{buildroot}/%{_datadir}/minetest/mods/farming_plus/
# Hard link avoid waste of duplicate files
%fdupes %{buildroot}/%{_datadir}/minetest/mods/farming_plus/

%files
%defattr(-,root,root)
%{_datadir}/minetest/

%changelog
* Sun Sep 11 2016 guoyunhebrave@gmail.com
- Git version 20140731
